﻿using Otter;
using ThatsCrazyWhat.entities;
using ThatsCrazyWhat.ui;
using ThatsCrazyWhat.Utility;

class Global
{
    public static Game GAME = null;
    public static Session PlayerSession;
    public static Session PausePersonSession;
    public static ControllerXbox360 xBoxController;
    public static ControllerXbox360 xBoxController2;
    public static ControllerXbox360 xBoxController3;
    public static ControllerXbox360 xBoxController4;
    public static Session LBD1;
    public static Player player = null;
    public static PausePerson pausePerson = null;

    public const int MW = 720 * 2;
    public const int MH = 480 * 2;
    public const int GRID_WIDTH = 16;
    public const int GRID_HEIGHT = 16;
    public const int AIRGRID_WIDTH = 16;
    public const int AIRGRID_HEIGHT = 16;

    public static Camera cam = new Camera(0, 0);
    public static bool PlayerOneHighScoreSet;
    public static bool PlayerOneHighScoreIsSet;
    public static bool DoesPlayerHaveCart = true;//testing for now
    public static string PlayerOneHighScoreName = "";
    public static string PlayerOneOldHighScoreName = "";
    #region player globals
    public static float PlayerX = 0.0f;
    public static float PlayerY = 0.0f;
    public static float PlayerSpeed = 1.0f;//was 3, seems good though.
    public static int PlayerLives = 0;//was 2
    public static int PlayerExtraLifeThreshold = 30000;//starts here. 
    public static int PlayerHealth = 1000;
    public static string PlayerCurrentAnim = "";
    public static long Score = 0;
    public static float PlayerFiredWaterSpeed = 6f;
    #endregion

    //things
    public static bool UsingMop;
    public static int WaterBullets = 50;
    public static bool UsingBroom;
    public static bool UsingMopAndBroom;
    public static float CartSpeed = 10f;
    public static float MaxCartSpeed = 10f;
    public static float CartDecay = .5f;
    public static int TimerForGoodSpaceShip = 5000;
    public static bool RightDoorActive;
    public static bool LeftLowerDoorActive;
    public static bool RightLowerDoorActive;
    public static bool IsPlaneActive;
    public static float CartX = 0;
    public static float CartY = 0;
    public static float MemoryCartX = 0;
    public static float MemoryCartY = 0;
    public static string CartIsOnThisMap = "";
    public static bool IsCartBeingPushed;
    public static bool PickedUpCrate;
    public static bool PickedUpPresident;
    public static bool PickedUpMicrowave;
    public static bool PickedUpPlane;
    //Annebelle
    public static int AnneBelleHealth = 5000;
    public static Speed AnneBelleSpeed = new Speed(.5f); //I have no idea what speed this should be...
    //events
    public static bool IsUFOCrashed;
    public static bool FirstFoodItem;
    public static bool SecondFoodItem;
    public static bool ThirdFoodItem;
    public static bool FourthFoodItem;
    public static bool GetOut;
    //utitlity
    public static bool IsPlayerOneAxisReset;
    public static Music music;
    public static bool IsGamePaused = false;
    //enemies
    public static float civilianSpeed = .1f;
    public static float troopSpeed = .1f;
    public static float enemyBulletSpeed = 3f;

    public static bool IsScreenShake = false;
    public static int Done = 0;
    public static int CameraTimer = 3;
    public static int Drection = Rand.Int(1, 5);
    //private variables
    private static bool _isColor = false;
    private static int _colorChanger = 3;


    public enum Type
    {
        PLAYER,
        SOLID,
        NUMBERS,
        MENUBUBBLE,
        PASSWORDLETTERS,
        CURSOR,
        CURSOR2,
        CURSOR3,
        CURSOR4,
        ROWSCANNER,
        ROWSCANNER2,
        ROWSCANNER3,
        ROWSCANNER4,
        LETTERSELECTOR,
        LETTERSELECTOR2,
        LETTERSELECTOR3,
        LETTERSELECTOR4,
        PAUSEMENUNUMBERS,
        PRESSKEYNUMBERS,
        SMALLNUMBERS,
        CART,
        LEFTDOOR,
        RIGHTDOOR,
        LEFTLOWERDOOR,
        RIGHTLOWERDOOR,
        WORSTPLANEEVER,
        HANGERSIDEDOOR,
        PERSONOFINTEREST,
        CRATE,
        RALLYSIDEDOOR,
        PRESIDENT,
        FUTURELABSIDEDOOR,
        MICROWAVE,
        ANNEBELLE,
        COURTYARDDOOR,
        WATERDROP,
        AGENT,
        CIVILIAN,
        BULLET,
        RUNNINGCIVILIAN,
        GOODSPACESHIP,
        COUNTDOWNNUMBER,
        PLAYERHEALTH
    }

    //extra functions that are useful
    public static void ColorChanger(Entity _flash, Color _firstColor, Color _secondColor, int rateOfChange = 3)
    {
        if (_colorChanger <= 0)
        {
            if (_isColor)
                _isColor = false;
            else
                _isColor = true;
            _colorChanger = rateOfChange;
        }
        if (_isColor)
            _flash.Graphic.Color = _firstColor;
        else
            _flash.Graphic.Color = _secondColor;

        if (_colorChanger > 0)
            _colorChanger--;
    }

    public static void WriteWord(float x, float y, string word, Color color, float scale, int layer, Scene scene, int destructionTimer, int spacer = 15)
    {
        var a = 0;
        for (var i = 0; i < word.Length; i++)
        {
            scene.Add(new MovingNumbers(x + a, y, word[i].ToString(), color, scale, layer, destructionTimer));
            a += spacer;
        }
    }
    public static void WriteWordUI(float x, float y, string word, Color color, float scale, int layer, Scene scene, int destructionTimer, int spacer = 15)
    {
        var a = 0;
        for (var i = 0; i < word.Length; i++)
        {
            scene.Add(new NumbersUI(x + a, y, word[i].ToString(), color, scale, layer, destructionTimer));
            a += spacer;
        }
    }
}
