﻿using Otter;

namespace ThatsCrazyWhat.objects
{
    class DeadCivilian : Entity
    {
        private Spritemap<string> _spriteMap;

        public DeadCivilian(float x, float y, Color color, float scale)
        {
            X = x; Y = y;
            _spriteMap = new Spritemap<string>(Assets.CIVILLIAN, 50, 50);
            _spriteMap.Add("main", new int[] { 4 }, new float[] { 7f, 7f });
            _spriteMap.Play("main");
            _spriteMap.Color = color;
            _spriteMap.Scale = scale;
            Graphic = _spriteMap;
            Layer = 2;
        }

        public override void Render()
        {
            base.Render();
            //Collider.Render();
        }
    }
}