﻿using Otter;

namespace ThatsCrazyWhat.effects
{
    class BloomTest : Entity
    {
        private Spritemap<string> _spriteMap;

        public BloomTest(float x, float y, bool flipX = false)
        {
            X = x; Y = y;
            _spriteMap = new Spritemap<string>(Assets.BLOOMTEST, 200, 200);
            _spriteMap.Add("main", new int[] { 0 }, new float[] { 7f, 7f });
            _spriteMap.Play("main");
            if (flipX)
                _spriteMap.FlippedX = true;
            Graphic = _spriteMap;
            Layer = -2;
        }
    }
}
