﻿using Otter;

namespace ThatsCrazyWhat.objects
{
    class HangerSideDoor : Entity
    {
        private Spritemap<string> _spriteMap;

        public HangerSideDoor(float x, float y)
        {
            X = x; Y = y;
            SetHitbox(48, 32, Global.Type.HANGERSIDEDOOR);
            _spriteMap = new Spritemap<string>(Assets.HANGERSIDEDOOR, 48, 32);
            _spriteMap.Add("main", new int[] { 0 }, new float[] { 7f, 7f });
            _spriteMap.Play("main");
            Graphic = _spriteMap;
            _spriteMap.FlippedX = true;
            Layer = 2;
        }

        public override void Render()
        {
            base.Render();
            //Collider.Render();
        }
    }
}

