﻿using Otter;

namespace ThatsCrazyWhat.objects
{
    class Podium : Entity
    {
        private Spritemap<string> _spriteMap;
        public bool PickedUp;

        public Podium(float x, float y)
        {
            X = x; Y = y;
            SetHitbox(48, 32, Global.Type.SOLID);
            _spriteMap = new Spritemap<string>(Assets.PODIUM, 50, 50);
            _spriteMap.Add("main", new int[] { 0 }, new float[] { 7f, 7f });
            _spriteMap.Play("main");
            Graphic = _spriteMap;
            Layer = 1;
        }

        public override void Render()
        {
            base.Render();
            //Collider.Render();
        }
    }
}
