﻿using Otter;

namespace ThatsCrazyWhat.objects
{
    class Table : Entity
    {
        private Spritemap<string> _spriteMap;

        public Table(float x, float y)
        {
            X = x; Y = y;
            SetHitbox(90, 40, Global.Type.SOLID);
            Collider.X = 5;
            Collider.Y = 5;
            _spriteMap = new Spritemap<string>(Assets.TABLE, 100, 50);
            _spriteMap.Add("main", new int[] { 0 }, new float[] { 7f, 7f });
            _spriteMap.Play("main");
            Graphic = _spriteMap;
            Layer = 2;
        }

        public override void Render()
        {
            base.Render();
            //Collider.Render();
        }
    }
}
