﻿using Otter;
using ThatsCrazyWhat.ui;
using ThatsCrazyWhat.Utility;

namespace ThatsCrazyWhat.scenes
{
    class LoseScreen : Scene
    {
        public LoseScreen()
        {
            Global.cam = new Camera(100, 2);
            AddLine();
            AddLine2();
            /*music!
             * if (Global.music != null)
            {
                Global.music.Stop();
                Global.music = new Music(Assets.MUSIC_GAME_OVER);
            }
            else
            {
                Global.music = new Music(Assets.MUSIC_GAME_OVER);
            }
            Global.music.Play();
            Global.music.Volume = 1f;
            Global.music.Loop = false;*/
            Add(Global.cam);
            //scores
            Add(new PlayerHealth(5, 440));
            Global.WriteWord(4 - 1, 440 - 1, "Health:", Color.Red, 1f, -101, this, 0, 10);//regular text  
            Global.WriteWord(4, 440, "Health:", Color.Black, 1f, -100, this, 0, 10);//shadow (layers sort this)
            Add(new WaterBulletsRemaining(560, 10));
            Global.WriteWord(550 - 1, 10 - 1, "WaterDrops:", Color.FromBytes(41, 182, 246, 255), 1f, -101, this, 0, 10);//regular text  
            Global.WriteWord(550, 10, "WaterDrops:", Color.Black, 1f, -100, this, 0, 10);//shadow (layers sort this)
            Add(new AnneBelleHealth(300, 440));
            Global.WriteWord(260 - 1, 440 - 1, "Alien Health:", Color.FromBytes(216, 169, 224, 255), 1f, -101, this, 0, 10);//regular text  
            Global.WriteWord(260, 440, "Alien Health:", Color.FromBytes(162, 207, 110, 255), 1f, -100, this, 0, 10);//shadow (layers sort this)
            if (Global.GetOut)
                Add(new CountDownTimerDisplay(350, 10));
        }

        public override void Update()
        {
            base.Update();
            var cn = Global.PlayerSession.Controller;
            if (cn.Button("P1Start").Pressed)
            {
                Global.GAME.RemoveScene();
                Global.GAME.AddScene(new TitleScreen());
            }
        }
        #region AddLines
        public void AddLine()
        {
            string line = "You Lost!";
            var y = 0;
            for (var i = 0; i < line.Length; i++)
            {
                Add(new StaticNumbers(300 + y, 110, line[i].ToString(), Color.White));
                y += 8;
            }
        }
        public void AddLine2()
        {
            string line = "PUSH START";
            var y = 0;
            for (var i = 0; i < line.Length; i++)
            {
                Add(new StaticNumbers(300 + y, 310, line[i].ToString(), Color.White));
                y += 8;
            }
        }
        #endregion   

    }
}
