﻿using Otter;

namespace ThatsCrazyWhat.ui
{
    class WaterBulletsRemaining : Entity
    {
        public WaterNumbers place_units;
        public WaterNumbers place_tens;
        public WaterNumbers place_hundreds;
        public WaterNumbers place_thousands;
        public long holdingNumber = 0;
        public int size = 0;
        public bool isUnit = false;
        public bool isTens = false;
        public bool isHundreds = false;
        public bool isThousands = false;
        private int unitsStart = 0;
        private int tensStart = 0;
        private int hunStart = 0;
        private int thouStart = 0;

        private int startingPositionX;
        private int startingPositionY;

        public WaterBulletsRemaining(int spX, int spY)
        {
            startingPositionX = spX;
            startingPositionY = spY;
        }
        public override void Added()
        {
            base.Added();
            Global.GAME.Scene.Add(place_units = new WaterNumbers(startingPositionX + 112, startingPositionY, "0", Color.Cyan));
            Global.GAME.Scene.Add(place_tens = new WaterNumbers(startingPositionX + 104, startingPositionY, " ", Color.Cyan));
            Global.GAME.Scene.Add(place_hundreds = new WaterNumbers(startingPositionX + 96, startingPositionY, " ", Color.Cyan));
            Global.GAME.Scene.Add(place_thousands = new WaterNumbers(startingPositionX + 88, startingPositionY, " ", Color.Cyan));
        }
        public override void Update()
        {
            base.Update();
            if (holdingNumber != Global.WaterBullets)
            {
                size = (Global.WaterBullets.ToString()).Length;
                if (size == 1) Units();
                if (size == 2) Tens();
                if (size == 3) Hundreds();
                if (size == 4) Thousands();
                if (isUnit) place_units.c = (Global.WaterBullets.ToString()).Substring(unitsStart, 1);
                else place_units.c = "";
                if (isTens) place_tens.c = (Global.WaterBullets.ToString()).Substring(tensStart, 1);
                else place_tens.c = "";
                if (isHundreds) place_hundreds.c = (Global.WaterBullets.ToString()).Substring(hunStart, 1);
                else place_hundreds.c = "";
                if (isThousands) place_thousands.c = (Global.WaterBullets.ToString()).Substring(thouStart, 1);
                else place_thousands.c = "";

                holdingNumber = Global.WaterBullets;
            }
        }
        public void Units()
        {
            isUnit = true; unitsStart = 0;
            isTens = false;
            isHundreds = false;
            isThousands = false;
        }
        public void Tens()
        {
            isUnit = true; unitsStart = 1;
            isTens = true; tensStart = 0;
            isHundreds = false;
            isThousands = false;
        }
        public void Hundreds()
        {
            isUnit = true; unitsStart = 2;
            isTens = true; tensStart = 1;
            isHundreds = true; hunStart = 0;
            isThousands = false;
        }
        public void Thousands()
        {
            isUnit = true; unitsStart = 3;
            isTens = true; tensStart = 2;
            isHundreds = true; hunStart = 1;
            isThousands = true; thouStart = 0;
        }
    }
}


