﻿using Otter;
using ThatsCrazyWhat.Utility;

namespace ThatsCrazyWhat.objects
{
    class GoodSpaceShip : Entity
    {
        private Spritemap<string> _spriteMap;
        private bool one;

        public GoodSpaceShip(float x, float y)
        {
            X = x; Y = y;
            SetHitbox(200, 200, Global.Type.GOODSPACESHIP);
            Collider.X = 5;
            Collider.Y = 5;
            _spriteMap = new Spritemap<string>(Assets.GOODSPACESHIP, 200, 200);
            _spriteMap.Add("main", new int[] { 0, 1 }, new float[] { 7f, 7f });
            _spriteMap.Play("main");
            Graphic = _spriteMap;
            Layer = 2;
        }

        public override void Update()
        {
            base.Update();
            if (Global.TimerForGoodSpaceShip <= 0)
            {
                if (!one)
                {
                    one = true;
                    SoundManager.PlayRequestedSound("_weirdShipSound");
                }
                if (Y <= Global.MH / 2)
                    Y += 2;
            }
        }

        public override void Render()
        {
            base.Render();
            //Collider.Render();
        }
    }
}
