﻿using Otter;
using ThatsCrazyWhat.entities;
using ThatsCrazyWhat.scenes.Levels;
using ThatsCrazyWhat.ui;

namespace ThatsCrazyWhat.scenes
{
    class TitleScreen : Scene
    {
        public Image titleImage = new Image(Assets.TITLE_IMAGE);
        public bool once;

        public TitleScreen()
        {
            titleImage.ScaleY = 0.80f;
            AddGraphic(titleImage);

            Add(new Title(150, -460));
            Add(new PausePerson());
        }

        public override void Update()
        {
            base.Update();
            if (!IsGroupPaused(0))
            {
                if (!once)
                {
                    once = true;
                    string author1 = "That's Crazy, What?";
                    //var f = .1f;
                    var y1 = 0;
                    for (var i = 0; i < author1.Length; i++)
                    {
                        Add(new StaticNumbers(150 + y1, 170, author1[i].ToString(), Color.Orange, 2));
                        //Add(new Numbers(250 + y, 370, author[i].ToString(), Otter.Color.Lerp(Otter.Color.Blue, Otter.Color.Cyan, f)));
                        y1 += 20;
                        //f += .05f;
                    }
                    string author = "By Commanderstitch";
                    //var f = .1f;
                    var y = 0;
                    for (var i = 0; i < author.Length; i++)
                    {
                        Add(new StaticNumbers(250 + y, 370, author[i].ToString(), Color.White));
                        //Add(new Numbers(250 + y, 370, author[i].ToString(), Otter.Color.Lerp(Otter.Color.Blue, Otter.Color.Cyan, f)));
                        y += 10;
                        //f += .05f;
                    }
                    var pressStart = "Press Enter to Start!";
                    var a = 0;
                    for (var b = 0; b < pressStart.Length; b++)
                    {
                        Add(new StaticNumbers(240 + a, 420, pressStart[b].ToString(), Color.White));
                        a += 10;
                    }
                    var version = "Muh hahahahaha";
                    var n = 0;
                    for (var b = 0; b < version.Length; b++)
                    {
                        Add(new SmallNumbers(500 + n, 460, version[b].ToString(), Color.Blue));
                        n += 5;
                    }
                }

                if (Global.PlayerSession.Controller.Button("P1Start").Pressed)
                {
                    Global.GAME.RemoveScene();
                    //Global.GAME.AddScene(new LevelOne());// Add next level here or, where you want to go
                    Global.GAME.AddScene(new RightHallway("start"));// Add next level here or, where you want to go
                }

            }
        }
    }
}
