﻿using Otter;
using ThatsCrazyWhat.scenes;

namespace ThatsCrazyWhat.Scenes
{
    class WinScreen : Scene
    {
        public Image titleImage = new Image(Assets.WIN_IMAGE);
        public Text enterText4 = new Text("WINNER!: " + Global.AnneBelleHealth, 30);
        public Text enterText = new Text("You got her out!: " + Global.AnneBelleHealth, 30);
        public Text enterText2 = new Text("heee!", 30);
        public Text enterText3 = new Text("She had this much health left!: " + Global.AnneBelleHealth, 30);

        public WinScreen()
        {
            titleImage.ScaleY = 0.80f;
            this.AddGraphic(titleImage);

            enterText.OutlineThickness = 12;
            enterText.CenterOrigin();
            enterText.X = Global.GAME.HalfWidth;
            enterText.Y = 230;
            enterText3.OutlineThickness = 12;
            enterText3.CenterOrigin();
            enterText3.X = Global.GAME.HalfWidth;
            enterText3.Y = 200;
            enterText4.OutlineThickness = 12;
            enterText4.CenterOrigin();
            enterText4.X = Global.GAME.HalfWidth;
            enterText4.Y = 180;
            enterText2.OutlineThickness = 12;
            enterText2.CenterOrigin();
            enterText2.X = Global.GAME.HalfWidth;
            enterText2.Y = 280;
            AddGraphic(enterText);
            AddGraphic(enterText2);
        }

        public override void Update()
        {
            base.Update();
            if (Global.PlayerSession.Controller.Button("P1Start").Pressed)
            {
                Global.PlayerX = 0.0f;
                Global.PlayerY = 0.0f;
                Global.PlayerSpeed = 1.0f;
                Global.PlayerHealth = 500;
                Global.PlayerCurrentAnim = "";

                Global.GAME.RemoveScene();
                Global.GAME.AddScene(new TitleScreen());
            }
        }
    }
}
